Activity log for bug #969860

Date Who What changed Old value New value Message
2012-03-31 08:28:06 Jean-Baptiste Lallement bug added bug
2012-03-31 08:28:06 Jean-Baptiste Lallement attachment added compiz_cpu_sark-01.png https://bugs.launchpad.net/bugs/969860/+attachment/2973485/+files/compiz_cpu_sark-01.png
2012-03-31 08:28:20 Jean-Baptiste Lallement compiz (Ubuntu): importance Undecided High
2012-03-31 08:28:29 Jean-Baptiste Lallement compiz (Ubuntu): assignee Canonical Desktop Experience Team (canonical-dx-team)
2012-03-31 08:29:01 Jean-Baptiste Lallement description TEST CASE: 1. Monitor compiz CPU usage (from /proc/<pid of compiz>/stat or top in batch mode) 2. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute" 3. Wait until screen turns off 4. Move mouse or press a key to turn screen back on 5. Check the CPU usage from the monitor ACTUAL RESULT: When screen turns off compiz goes to 100% When the screen turns back on, cpu usage drops immediately to a normal value The graph attached shows %CPU of compiz with a sample per second. The graph has been captured on a system with a Radeon HD5770 and fglrx if that matter ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: compiz 1:0.9.7.2-0ubuntu4 ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13 Uname: Linux 3.2.0-21-generic x86_64 NonfreeKernelModules: fglrx .tmp.unity.support.test.0: ApportVersion: 2.0-0ubuntu1 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz Date: Sat Mar 31 10:17:48 2012 DistUpgraded: 2012-02-01 00:15:24,616 DEBUG enabling apt cron job DistroCodename: precise DistroVariant: ubuntu MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H PackageArchitecture: all ProcEnviron: TERM=xterm PATH=(custom, user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7 SourcePackage: compiz UpgradeStatus: Upgraded to precise on 2012-01-31 (59 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz 1:0.9.7.2-0ubuntu4 version.fglrx-installer: fglrx-installer N/A version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 TEST CASE: 1. Monitor compiz CPU usage (from /proc/<pid of compiz>/stat or top in batch mode) 2. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute 3. Wait until screen turns off 4. Move mouse or press a key to turn screen back on 5. Check the CPU usage from the monitor ACTUAL RESULT: When screen turns off compiz goes to 100% When the screen turns back on, cpu usage drops immediately to a normal value The graph attached shows %CPU of compiz with a sample per second. The graph has been captured on a system with a Radeon HD5770 and fglrx if that matter ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: compiz 1:0.9.7.2-0ubuntu4 ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13 Uname: Linux 3.2.0-21-generic x86_64 NonfreeKernelModules: fglrx .tmp.unity.support.test.0: ApportVersion: 2.0-0ubuntu1 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz Date: Sat Mar 31 10:17:48 2012 DistUpgraded: 2012-02-01 00:15:24,616 DEBUG enabling apt cron job DistroCodename: precise DistroVariant: ubuntu MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7 SourcePackage: compiz UpgradeStatus: Upgraded to precise on 2012-01-31 (59 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz 1:0.9.7.2-0ubuntu4 version.fglrx-installer: fglrx-installer N/A version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-04-01 04:26:58 Daniel van Vugt compiz (Ubuntu): status New Incomplete
2012-04-01 04:27:07 Daniel van Vugt summary compiz uses 100% CPU when screen turns off [fglrx] compiz uses 100% CPU when screen turns off
2012-04-01 04:27:14 Daniel van Vugt bug task added compiz-core
2012-04-01 04:27:22 Daniel van Vugt compiz-core: status New Incomplete
2012-04-02 11:04:38 Daniel van Vugt attachment added dstack https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/2988439/+files/dstack
2012-04-13 18:33:46 drumour attachment added dstack output https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3060741/+files/compizstack.txt
2012-04-13 20:19:11 Aurélien Leblond attachment added compizstack.txt https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3061431/+files/compizstack.txt
2012-04-15 04:19:53 Matt Fischer attachment added compizstack_mfisch.txt https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3069087/+files/compizstack_mfisch.txt
2012-04-15 09:14:09 drumour bug added subscriber drumour
2012-04-16 01:01:40 Filipe Manco attachment added compizstack_fmanco.txt https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3074497/+files/compizstack_fmanco.txt
2012-04-16 02:44:48 Daniel van Vugt summary [fglrx] compiz uses 100% CPU when screen turns off [fglrx] compiz uses 100% CPU when screen turns off (spinning in glXWaitVideoSyncSGI or glXSwapBuffers)
2012-04-16 02:44:54 Daniel van Vugt compiz-core: importance Undecided High
2012-04-16 02:44:58 Daniel van Vugt compiz-core: status Incomplete Triaged
2012-04-16 02:45:02 Daniel van Vugt compiz (Ubuntu): status Incomplete Triaged
2012-04-16 02:46:04 Daniel van Vugt description TEST CASE: 1. Monitor compiz CPU usage (from /proc/<pid of compiz>/stat or top in batch mode) 2. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute 3. Wait until screen turns off 4. Move mouse or press a key to turn screen back on 5. Check the CPU usage from the monitor ACTUAL RESULT: When screen turns off compiz goes to 100% When the screen turns back on, cpu usage drops immediately to a normal value The graph attached shows %CPU of compiz with a sample per second. The graph has been captured on a system with a Radeon HD5770 and fglrx if that matter ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: compiz 1:0.9.7.2-0ubuntu4 ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13 Uname: Linux 3.2.0-21-generic x86_64 NonfreeKernelModules: fglrx .tmp.unity.support.test.0: ApportVersion: 2.0-0ubuntu1 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz Date: Sat Mar 31 10:17:48 2012 DistUpgraded: 2012-02-01 00:15:24,616 DEBUG enabling apt cron job DistroCodename: precise DistroVariant: ubuntu MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7 SourcePackage: compiz UpgradeStatus: Upgraded to precise on 2012-01-31 (59 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz 1:0.9.7.2-0ubuntu4 version.fglrx-installer: fglrx-installer N/A version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 WORKAROUND: 1. Open Catalyst Control Center. 2. Go to 3D > More Settings. 3. Set "Wait for vertical refresh" to "On, unless application specifies". And if that doesn't work, then also do: 4. Run "ccsm" 5. In Workarounds, enable "Force full screen redraw (buffer swap) on repaint". TEST CASE: 1. Monitor compiz CPU usage (from /proc/<pid of compiz>/stat or top in batch mode) 2. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute 3. Wait until screen turns off 4. Move mouse or press a key to turn screen back on 5. Check the CPU usage from the monitor ACTUAL RESULT: When screen turns off compiz goes to 100% When the screen turns back on, cpu usage drops immediately to a normal value The graph attached shows %CPU of compiz with a sample per second. The graph has been captured on a system with a Radeon HD5770 and fglrx if that matter ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: compiz 1:0.9.7.2-0ubuntu4 ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13 Uname: Linux 3.2.0-21-generic x86_64 NonfreeKernelModules: fglrx .tmp.unity.support.test.0: ApportVersion: 2.0-0ubuntu1 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz Date: Sat Mar 31 10:17:48 2012 DistUpgraded: 2012-02-01 00:15:24,616 DEBUG enabling apt cron job DistroCodename: precise DistroVariant: ubuntu MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7 SourcePackage: compiz UpgradeStatus: Upgraded to precise on 2012-01-31 (59 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz 1:0.9.7.2-0ubuntu4 version.fglrx-installer: fglrx-installer N/A version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-04-16 02:46:41 Daniel van Vugt compiz-core: assignee Daniel van Vugt (vanvugt)
2012-04-16 08:46:01 Konstantin Barinov bug added subscriber Konstantin Barinov
2012-04-17 02:27:36 Daniel van Vugt compiz-core: milestone 0.9.7.8
2012-04-20 02:48:24 Daniel van Vugt nominated for series compiz-core/0.9.7
2012-04-20 02:48:24 Daniel van Vugt bug task added compiz-core/0.9.7
2012-04-20 02:48:24 Daniel van Vugt nominated for series compiz-core/0.9.8
2012-04-20 02:48:24 Daniel van Vugt bug task added compiz-core/0.9.8
2012-04-20 02:48:39 Daniel van Vugt compiz-core/0.9.8: milestone 0.9.7.8 0.9.8.0
2012-04-20 02:48:43 Daniel van Vugt compiz-core/0.9.7: milestone 0.9.7.8
2012-04-20 02:48:48 Daniel van Vugt compiz-core/0.9.7: status New Triaged
2012-04-20 02:48:53 Daniel van Vugt compiz-core/0.9.7: importance Undecided High
2012-04-20 02:48:59 Daniel van Vugt compiz-core/0.9.7: assignee Daniel van Vugt (vanvugt)
2012-04-21 10:00:46 Harald Höller bug added subscriber Harald Höller
2012-04-23 02:15:19 Daniel van Vugt bug task added ubuntu-power-consumption
2012-04-23 02:15:32 Daniel van Vugt ubuntu-power-consumption: status New Confirmed
2012-04-25 17:51:29 Miklos Juhasz bug added subscriber Miklos Juhasz
2012-04-26 06:09:17 Daniel van Vugt compiz-core/0.9.7: milestone 0.9.7.8 0.9.7.10
2012-04-27 10:00:12 MaxNegro bug added subscriber MaxNegro
2012-04-29 00:57:43 Mason Tang bug added subscriber Mason Tang
2012-04-29 13:29:09 Evren Yurtesen bug added subscriber Evren Yurtesen
2012-05-06 16:59:33 Gys van Zyl bug added subscriber Gys van Zyl
2012-05-06 19:21:03 Anders Frisk bug added subscriber Anders Frisk
2012-05-08 11:12:57 Axel Waggershauser bug added subscriber Axel Waggershauser
2012-05-12 03:54:09 Кузнецов Андрей bug added subscriber Кузнецов Андрей
2012-05-14 06:33:04 Joel Björkman bug added subscriber Joel Björkman
2012-05-15 22:01:59 Saul Willers bug added subscriber Saul Willers
2012-05-18 08:21:05 Sam Spilsbury compiz: importance Undecided High
2012-05-18 08:21:05 Sam Spilsbury compiz: status New Triaged
2012-05-18 08:21:05 Sam Spilsbury compiz: assignee Daniel van Vugt (vanvugt)
2012-05-18 22:30:33 Chris Merrett bug added subscriber Chris Merrett
2012-05-19 01:09:49 odror bug added subscriber odror
2012-05-21 03:09:43 Daniel van Vugt compiz: milestone 0.9.8.0
2012-05-21 03:10:01 Daniel van Vugt bug task deleted compiz-core/0.9.8
2012-05-21 03:10:15 Daniel van Vugt compiz-core: milestone 0.9.8.0 0.9.7.10
2012-05-21 03:10:21 Daniel van Vugt bug task deleted compiz-core/0.9.7
2012-05-26 00:42:31 capiporra attachment added compizstack.txt https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3163701/+files/compizstack.txt
2012-05-27 17:12:16 atreju bug added subscriber atreju
2012-05-31 15:18:32 ThePol bug added subscriber ThePol
2012-06-04 13:10:01 Rod Taylor bug added subscriber Rod Taylor
2012-06-09 09:22:05 Oliver bug added subscriber oliver
2012-06-12 21:40:11 Pēteris Caune attachment added Stack traces of gnome-shell https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3187144/+files/gnome-shell-stack.txt
2012-06-13 02:57:38 Daniel van Vugt summary [fglrx] compiz uses 100% CPU when screen turns off (spinning in glXWaitVideoSyncSGI or glXSwapBuffers) fglrx uses 100% CPU when screen turns off (spinning in glXWaitVideoSyncSGI or glXSwapBuffers)
2012-06-13 02:58:02 Daniel van Vugt bug task added gnome-shell (Ubuntu)
2012-06-13 02:58:19 Daniel van Vugt gnome-shell (Ubuntu): status New Confirmed
2012-06-13 02:58:47 Daniel van Vugt bug task added fglrx-installer (Ubuntu)
2012-06-13 02:59:02 Daniel van Vugt fglrx-installer (Ubuntu): status New Confirmed
2012-06-13 02:59:49 Daniel van Vugt bug task added fglrx-installer-updates (Ubuntu)
2012-06-13 02:59:58 Daniel van Vugt fglrx-installer-updates (Ubuntu): status New Confirmed
2012-06-14 01:36:19 peter nealon bug added subscriber peter nealon
2012-06-16 00:03:21 Forage bug added subscriber Forage
2012-06-16 00:24:21 Forage bug watch added http://ati.cchtml.com/show_bug.cgi?id=535
2012-06-29 13:43:06 cgrushko attachment added Compiz stack trace https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3207779/+files/compizstack.txt
2012-06-29 13:49:30 cgrushko bug added subscriber cgrushko
2012-07-04 17:55:15 Pedro Lacerda bug added subscriber Pedro Lacerda
2012-07-06 09:38:12 paulf bug added subscriber paulf
2012-07-11 10:34:24 Arian Bär bug added subscriber Arian Bär
2012-07-13 03:02:28 Derek Chen-Becker bug added subscriber Derek Chen-Becker
2012-07-13 03:10:35 Derek Chen-Becker attachment added dstack.trace https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860/+attachment/3221797/+files/dstack.trace
2012-07-16 01:47:06 Jordon Bedwell bug added subscriber Jordon Bedwell
2012-07-18 13:37:42 David Wolfe bug added subscriber David Wolfe
2012-07-18 19:03:39 kexx bug added subscriber kexx
2012-07-25 12:07:58 Sebastian Koch bug added subscriber Sebastian Koch
2012-07-25 17:00:27 Gregor Riepl bug added subscriber Gregor Riepl
2012-07-28 07:15:40 Johan Wirde bug added subscriber Johan Wirde
2012-07-28 10:10:19 Fabian Kessler bug added subscriber Fabian Kessler
2012-07-29 16:00:19 George bug added subscriber George
2012-07-31 23:17:10 Pedro Lacerda bug added subscriber Pedro Lacerda
2012-08-12 14:51:37 Omer Akram bug task deleted compiz-core
2012-08-13 01:01:47 John S. Gruber bug added subscriber John S. Gruber
2012-08-15 04:21:31 Daniel van Vugt description WORKAROUND: 1. Open Catalyst Control Center. 2. Go to 3D > More Settings. 3. Set "Wait for vertical refresh" to "On, unless application specifies". And if that doesn't work, then also do: 4. Run "ccsm" 5. In Workarounds, enable "Force full screen redraw (buffer swap) on repaint". TEST CASE: 1. Monitor compiz CPU usage (from /proc/<pid of compiz>/stat or top in batch mode) 2. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute 3. Wait until screen turns off 4. Move mouse or press a key to turn screen back on 5. Check the CPU usage from the monitor ACTUAL RESULT: When screen turns off compiz goes to 100% When the screen turns back on, cpu usage drops immediately to a normal value The graph attached shows %CPU of compiz with a sample per second. The graph has been captured on a system with a Radeon HD5770 and fglrx if that matter ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: compiz 1:0.9.7.2-0ubuntu4 ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13 Uname: Linux 3.2.0-21-generic x86_64 NonfreeKernelModules: fglrx .tmp.unity.support.test.0: ApportVersion: 2.0-0ubuntu1 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz Date: Sat Mar 31 10:17:48 2012 DistUpgraded: 2012-02-01 00:15:24,616 DEBUG enabling apt cron job DistroCodename: precise DistroVariant: ubuntu MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7 SourcePackage: compiz UpgradeStatus: Upgraded to precise on 2012-01-31 (59 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz 1:0.9.7.2-0ubuntu4 version.fglrx-installer: fglrx-installer N/A version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2 WORKAROUND (1): 1. Open Catalyst Control Center. 2. Go to 3D > More Settings. 3. Set "Wait for vertical refresh" to "On, unless application specifies". And if that doesn't work, then also do: 4. Run "ccsm" 5. In Workarounds, enable "Force full screen redraw (buffer swap) on repaint". WORKAROUND (2): 1. Run ccsm (from package compizconfig-settings-manager) 2. In OpenGL > Sync To VBlank = OFF TEST CASE: 1. Monitor compiz CPU usage (from /proc/<pid of compiz>/stat or top in batch mode) 2. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute 3. Wait until screen turns off 4. Move mouse or press a key to turn screen back on 5. Check the CPU usage from the monitor ACTUAL RESULT: When screen turns off compiz goes to 100% When the screen turns back on, cpu usage drops immediately to a normal value The graph attached shows %CPU of compiz with a sample per second. The graph has been captured on a system with a Radeon HD5770 and fglrx if that matter ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: compiz 1:0.9.7.2-0ubuntu4 ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13 Uname: Linux 3.2.0-21-generic x86_64 NonfreeKernelModules: fglrx .tmp.unity.support.test.0: ApportVersion: 2.0-0ubuntu1 Architecture: amd64 CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell] CompositorRunning: compiz Date: Sat Mar 31 10:17:48 2012 DistUpgraded: 2012-02-01 00:15:24,616 DEBUG enabling apt cron job DistroCodename: precise DistroVariant: ubuntu MachineType: Gigabyte Technology Co., Ltd. GA-890GPA-UD3H PackageArchitecture: all ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-21-generic root=UUID=cf89ba34-108b-404d-9804-32d54a1df2ea ro quiet splash vt.handoff=7 SourcePackage: compiz UpgradeStatus: Upgraded to precise on 2012-01-31 (59 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. version.compiz: compiz 1:0.9.7.2-0ubuntu4 version.fglrx-installer: fglrx-installer N/A version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.32-1ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu8 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2
2012-08-23 00:33:10 craig bug added subscriber craig
2012-08-23 05:29:54 Daniel van Vugt compiz: milestone 0.9.8.0 0.9.8.1
2012-08-23 22:23:27 Joshua Glemza bug added subscriber Joshua Glemza
2012-09-10 06:31:16 Sam Spilsbury compiz: milestone 0.9.8.2 0.9.8.4
2012-09-24 22:09:46 Kyle Montgomery bug added subscriber Kyle Montgomery
2012-09-28 05:05:48 Daniel van Vugt compiz: milestone 0.9.8.4 0.9.9.0
2012-09-28 05:06:32 Daniel van Vugt compiz: assignee Daniel van Vugt (vanvugt)
2012-09-28 05:06:38 Daniel van Vugt nominated for series compiz/0.9.8
2012-09-28 05:06:38 Daniel van Vugt bug task added compiz/0.9.8
2012-09-28 05:06:45 Daniel van Vugt compiz/0.9.8: status New Triaged
2012-09-28 05:06:49 Daniel van Vugt compiz/0.9.8: importance Undecided High
2012-09-28 05:06:53 Daniel van Vugt compiz/0.9.8: milestone 0.9.8.6
2012-09-30 18:53:51 Marius B. Kotsbak bug added subscriber Marius Kotsbak
2012-10-01 11:21:03 Chris Merrett removed subscriber Chris Merrett
2012-10-01 14:00:26 whitakma bug added subscriber whitakma
2012-10-24 17:49:00 Michele Giacomoli bug added subscriber Michele Giacomoli
2012-10-29 10:32:29 Alex Tudorache bug added subscriber Alex Tudorache
2012-10-30 18:51:29 msznapka bug added subscriber msznapka
2012-10-30 21:05:31 S. Christian Collins bug added subscriber S. Christian Collins
2012-11-01 22:53:37 Bruce Guenter bug added subscriber Bruce Guenter
2012-11-05 06:04:26 Daniel van Vugt bug task added compiz-core
2012-11-05 06:04:53 Daniel van Vugt compiz-core: status New Triaged
2012-11-05 06:04:59 Daniel van Vugt compiz-core: importance Undecided High
2012-11-05 06:05:03 Daniel van Vugt compiz-core: milestone 0.9.7.10
2012-11-08 17:07:39 Mysticode bug added subscriber Mysticode
2012-11-13 09:56:44 Hao-Ran Liu bug added subscriber Hao-Ran Liu
2012-11-14 23:33:24 artur bryczek compiz: status Triaged Fix Released
2012-11-14 23:33:30 artur bryczek compiz/0.9.8: status Triaged Fix Released
2012-11-14 23:33:35 artur bryczek compiz-core: status Triaged Fix Released
2012-11-14 23:33:40 artur bryczek ubuntu-power-consumption: status Confirmed Fix Released
2012-11-14 23:33:45 artur bryczek compiz (Ubuntu): status Triaged Fix Released
2012-11-14 23:33:51 artur bryczek fglrx-installer (Ubuntu): status Confirmed Fix Released
2012-11-14 23:33:56 artur bryczek fglrx-installer-updates (Ubuntu): status Confirmed Fix Released
2012-11-14 23:34:02 artur bryczek gnome-shell (Ubuntu): status Confirmed Fix Released
2012-11-15 02:19:45 Daniel van Vugt compiz: status Fix Released Triaged
2012-11-15 02:19:52 Daniel van Vugt compiz/0.9.8: status Fix Released Triaged
2012-11-15 02:19:57 Daniel van Vugt compiz-core: status Fix Released Triaged
2012-11-15 02:20:02 Daniel van Vugt compiz (Ubuntu): status Fix Released Triaged
2012-11-15 02:20:11 Daniel van Vugt fglrx-installer (Ubuntu): status Fix Released Confirmed
2012-11-15 02:20:15 Daniel van Vugt fglrx-installer-updates (Ubuntu): status Fix Released Confirmed
2012-11-15 02:20:20 Daniel van Vugt gnome-shell (Ubuntu): status Fix Released Confirmed
2012-11-17 09:31:57 msznapka removed subscriber msznapka
2012-11-19 07:32:28 Daniel van Vugt compiz-core: milestone 0.9.7.10 0.9.7.12
2012-11-19 09:50:33 Daniel van Vugt bug task added fglrx
2012-11-19 11:13:04 Daniel van Vugt compiz: status Triaged Invalid
2012-11-19 11:13:09 Daniel van Vugt compiz/0.9.8: status Triaged Invalid
2012-11-19 11:13:14 Daniel van Vugt compiz-core: status Triaged Invalid
2012-11-19 11:13:22 Daniel van Vugt fglrx-installer (Ubuntu): importance Undecided Critical
2012-11-19 11:13:26 Daniel van Vugt fglrx-installer-updates (Ubuntu): importance Undecided Critical
2012-11-19 11:13:31 Daniel van Vugt compiz (Ubuntu): status Triaged Invalid
2012-11-19 11:13:38 Daniel van Vugt gnome-shell (Ubuntu): status Confirmed Invalid
2012-11-20 04:54:13 Daniel van Vugt compiz: milestone 0.9.9.0
2012-11-20 04:54:17 Daniel van Vugt compiz/0.9.8: milestone 0.9.8.6
2012-11-20 04:54:21 Daniel van Vugt compiz-core: milestone 0.9.7.12
2012-11-20 23:53:32 Bug Watch Updater fglrx: status Unknown Confirmed
2012-11-20 23:53:32 Bug Watch Updater fglrx: importance Unknown Medium
2012-11-30 17:00:04 xor59 bug added subscriber xor59
2012-12-14 16:00:37 Martin Wildam bug added subscriber Martin Wildam
2012-12-15 06:38:22 zzarko bug added subscriber zzarko
2012-12-16 18:41:31 cgrushko removed subscriber cgrushko
2012-12-29 13:42:07 Jammy Zhou bug added subscriber Jammy Zhou
2013-01-01 01:52:31 gweg bug added subscriber Gregor Larson
2013-01-15 03:51:16 Justin Grevich bug added subscriber Justin Grevich
2013-01-26 00:10:29 Vitaly Tskhovrebov compiz (Ubuntu): status Invalid Confirmed
2013-01-26 00:30:42 Jordon Bedwell compiz (Ubuntu): status Confirmed Invalid
2013-02-09 09:24:22 Olivier Caro bug added subscriber Olivier Caro
2013-02-13 05:51:56 S. Christian Collins bug watch added http://ati.cchtml.com/show_bug.cgi?id=553
2013-02-13 16:16:39 craig removed subscriber craig
2013-02-17 21:33:16 tototoro bug added subscriber luka
2013-02-23 20:25:29 Michiel Janssens bug added subscriber Michiel Janssens
2013-04-14 17:16:15 papukaija bug added subscriber papukaija
2013-06-25 22:04:16 Sebastian Berthold bug added subscriber Sebastian Berthold
2013-07-28 11:13:14 thndsr bug added subscriber theenduser
2013-09-08 20:44:27 b00n0r92 bug added subscriber b00n0r92
2013-09-15 13:53:29 David bug added subscriber David
2013-10-12 16:49:00 papukaija tags amd64 apport-bug compiz-0.9 precise qa-manual-testing reproducible rls-mgr-p-tracking ubuntu amd64 apport-bug battery-power-consumption compiz-0.9 precise qa-manual-testing quantal reproducible rls-mgr-p-tracking ubuntu
2013-10-12 16:57:51 Alex Tudorache removed subscriber Alex Tudorache
2013-10-14 02:37:17 Daniel van Vugt fglrx-installer (Ubuntu): status Confirmed Fix Released
2013-10-14 02:37:23 Daniel van Vugt fglrx-installer-updates (Ubuntu): status Confirmed Fix Released
2013-11-18 17:16:52 Michiel Janssens removed subscriber Michiel Janssens